<?php

namespace App\Models\Forum;

use CodeIgniter\Model;

class JoinGroupModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'forum_joined_groups';
    protected $primaryKey       = 'join_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['join_user_id', 'join_group_id'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'join_created';
    protected $updatedField  = 'join_updated';
    

}
