<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class ProductReviewsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'product_reviews';
    protected $primaryKey       = 'review_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['reviewer_id', 'r_product_vendor', 'reviewed_product', 'review_title', 'review_desc', 'review_rating'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'r_created_at';
    protected $updatedField  = 'r_updated_at';
    

}
