<?php
$this->db = \Config\Database::connect();
$query = $this->db->query("SELECT * FROM forum_topics as f LEFT JOIN farm_groups as g ON g.group_id=f.topic_group_id ORDER BY topic_id DESC");
$result = $query->getResult();
?>

<div class="forum-widget">
    <div class="card">
        <div class="card-header">
            <h6>All Forum Topics</h6>
        </div>
        <div class="card-body">
            <div class="widget-content">

                <?php if ($result) : ?>
                    <ul>
                        <?php foreach ($result as $row) : ?>
                            <?php
                            $builder = $this->db->table('forum_joined_groups');
                            $builder->where(['join_user_id' => user()->id, 'join_group_id' => $row->group_id]);
                            $rowCount = $builder->countAllResults();
                            ?>
                            <?php if ($rowCount > 0) : ?>
                                <li><a href="<?= site_url('forum/discussions/topic/' . $row->topic_slug) ?>"><?= $row->topic_title; ?></a></li>
                            <?php else : ?>
                                <li><a href="#" data-toggle="modal" data-target="#error"><?= $row->topic_title; ?></a></li>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </ul>
                <?php else : ?>
                    <h6 class="text-center px-4"><b>No Topics Found</b></h6>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>