<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\ComplaintsModel;

class Complaints extends BaseController
{
    public $complaints;

    public function __construct()
    {
        $this->complaints = new ComplaintsModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    public function index()
    {
        $data['breadcrumb'] = 'Complaints';
        $data['complaints'] = $this->complaints->getComplaints();
        $data['db'] = $this->db;
        return view('admin/complaints/complaints', $data);
    }

    // Complaint Details
    public function customer_complaint($id){
        $data['breadcrumb'] = 'Complaint Details';
        $data['complaint'] = $this->complaints->getComplaintDetails($id);
        $data['db'] = $this->db;
        return view('admin/complaints/complaint_details', $data);
    }
}
