<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\RequestsModel;

class Requests extends BaseController
{
    public $requests;

    public function __construct()
    {
        $this->requests = new RequestsModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    public function index()
    {
        $data['breadcrumb'] = 'Product Requests';
        $data['requests'] = $this->requests->getRequests();
        $data['db'] = $this->db;
        return view('admin/marketplace/product_requests', $data);
    }

    public function request_details($id){
        $data['breadcrumb'] = 'Request Details';
        $data['request'] = $this->requests->getRequestDetails($id);
        $data['db'] = $this->db;
        return view('admin/marketplace/request_details', $data);
    }
}
