<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class EmailSettingsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'email_settings';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['email', 'password', 'names', 'smtp_protocol', 'smtp_host', 'smtp_port', 'smtp_encryption', 'mail_type'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    public function getSettings(){
        $builder = $this->db->table('email_settings');
        $result = $builder->get()->getRow();
        return $result;
    }
    
}
