<?php

namespace App\Models\Forum;

use CodeIgniter\Model;

class DiscussionsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'forum_discussions';
    protected $primaryKey       = 'discussion_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['discussion_topic_id', 'discussion', 'farmer_id', 'discussion_group_id'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'discussion_created';
    protected $updatedField  = 'discussion_updated';
    
}
